Page MenuHomePhabricator

segfault on /index.php after installation
Closed, InvalidPublic

Description

Author: sven

Description:

  • installation went OK
  • remove /config
  • hit /[installedpath]/

apache error logs:
[Wed Mar 21 21:36:52 2007] [notice] child pid 31905 exit signal Segmentation
fault (11)

traced it to this call:

includes/Wiki.php, line 74
$ret = Title::newMainPage();

following the methods to

includes/GlobalFunctions.php, line 420
$message = $wgMessageCache->get( $key, $useDB, $forContent );
where values are "mainpage", 1, 1

Version: 1.9.x
Severity: blocker
OS: Linux
Platform: PC

Details

Reference
bz9365

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 21 2014, 9:37 PM
bzimport set Reference to bz9365.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Mar 22 2007, 4:51 AM

jasonspiro4 wrote:

Thank you for your bug report and for your troubleshooting work.

NOTE: I am not a developer or even a bug triager, I am just some guy. But still, I suspect this is not a MediaWiki bug. If you could please provide us with more information:
  1. What is your:
  • Apache version
  • PHP version
  • Operating system and version
  1. How often has this segfault happened?
  1. Have you done anything with your /wiki/ directory since the crash happened,

or do you still have the directory?

  1. Did you get any weird messages during the installation?
brion added a comment.Mar 22 2007, 2:19 PM

Check also for presence of various PHP or Zend extensions.
Some may have compatibility or stability issues.

sven wrote:

Jason, Brion - thanks for the shout, and here's the add'l info.

Apache 2.2.4
PHP 5.2.1
REHL (2.6.9-34.EL) on a dell x86
eAccellerator 0.9.5

every request to the mediawiki = seg fault.
Other PHP apps running fine

  1. I installed into /mediawiki - directory untouched except for removal of /config
  1. Not weird errors - install was point-click and done.

php.ini section:
extension="eaccelerator.so"

eaccelerator.shm_size="50"
eaccelerator.cache_dir="/tmp/eaccelerator"
eaccelerator.enable="1"
eaccelerator.optimizer="1"
eaccelerator.check_mtime="1"
eaccelerator.debug="0"
eaccelerator.filter=""
eaccelerator.shm_max="0"
eaccelerator.shm_ttl="0"
eaccelerator.shm_prune_period="0"
eaccelerator.allowed_admin_path = "/usr/local/apache2/htdocs/eacc.php"

php config
'./configure' '--with-apxs2=/usr/local/apache2/bin/apxs' '--disable-cli'
'--disable-cgi' '--with-config-file-path=/etc' '--with-zlib' '--enable-calendar'
'--with-curl' '--enable-exif' '--enable-ftp' '--with-gd' '--enable-mbstring'
'--enable-zip' '--enable-zend-multibyte' '--with-magickwand=/usr' '--with-mysql'
'--with-mysql-libs=/usr/lib/mysql' '--with-mysql-headers=/usr/include/mysql'
'--enable-soap'

eAccel config
./configure --with-eaccelerator-disassembler --with-eaccelerator-info --enab
le-eaccelerator=shared --with-php-config=/usr/local/bin/php-config

apache config
./configure --enable-modules=most --enable-mods-shared=all --enable-so

brion added a comment.Mar 22 2007, 5:46 PM

eAccelerator 0.9.5 has multiple known problems with PHP 5.2.x... try removing that.
You may have to build 0.9.6 prereleases from source control, or try APC or another
alternative.

sven wrote:

remove eAccel 0.9.5 and use APC (latest)

issue resolved - not a MediaWiki issue

sumanah_panixcom wrote:

content hidden as private in Bugzilla

aaron.schulz wrote:

content hidden as private in Bugzilla

mmodell changed the task status from Invalid to Resolved by committing rPHDEP81dc55d04fec: Updated git submodules.Sep 7 2016, 10:17 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptSep 7 2016, 10:17 PM
mmodell changed the task status from Resolved to Invalid.Sep 7 2016, 11:17 PM